Skip to main content
POST
/
orgs
/
{orgId}
/
access-reviews
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/access-reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "orgId": "<string>",
  "reviewerId": "<string>",
  "findings": {},
  "completedAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Body

application/json

Input for creating a new access review

reviewType
enum<string>
required

Type of review to create

Available options:
QUARTERLY,
AD_HOC,
OFFBOARDING

Response

200 - application/json

OK

An access review record

id
string
required

Unique access review identifier

orgId
string
required

Organization identifier

reviewerId
string
required

Identifier of the reviewer

reviewType
enum<string>
required

Type of access review

Available options:
QUARTERLY,
AD_HOC,
OFFBOARDING
status
enum<string>
required

Status of the access review

Available options:
PENDING,
IN_PROGRESS,
COMPLETED
findings
object | null
required

Structured review findings

completedAt
string | null
required

ISO 8601 completion timestamp

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp